### Function

# Soup headers_parse_response

since: 3.0

#### Declaration [src]

    gboolean
    soup_headers_parse_response (
      const char* str,
      int len,
      SoupMessageHeaders* headers,
      SoupHTTPVersion* ver,
      guint* status_code,
      char** reason_phrase
    )

#### Description [src]

Parses the headers of an HTTP response in `str` and stores the results in `ver`, `status_code`, `reason_phrase`, and `headers`.

Beware that `headers` may be modified even on failure.

Available since: 3.0

#### Parameters

`str`

  Type: `const char*`

  The headers (up to, but not including, the trailing blank line)

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`len`

  Type: `int`

  Length of `str`.

`headers`

  Type: `SoupMessageHeaders`

  `SoupMessageHeaders` to store the header values in.

  The data is owned by the caller of the function.

`ver`

  Type: `SoupHTTPVersion`

  If non-`NULL`, will be filled in with the HTTP version.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the data, and is responsible for freeing it.

`status_code`

  Type: `guint*`

  If non-`NULL`, will be filled in with the status code.

  The argument will be set by the function.
  The argument can be `NULL`.

`reason_phrase`

  Type: `char**`

  If non-`NULL`, will be filled in with the reason phrase.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Success or failure.